## lightspark 0.4.4.3

=== CMakeLists.txt ===
#**************************************************************************
#    Lightspark, a free flash player implementation
#
#    Copyright (C) 2010  Giacomo Spigler <g.spigler@sssup.it>
#    Copyright (C) 2010  Alessandro Pignotti <a.pignotti@sssup.it>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Lesser General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Lesser General Public License for more details.
#
#   You should have received a copy of the GNU Lesser General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
#**************************************************************************


CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

# Name & Version
PROJECT(LIGHTSPARK)
SET(MAJOR_VERSION "0")
SET(MINOR_VERSION "4")
SET(PATCH_VERSION "4")

# GCC 4.4+ is required, GCC_VERSION macro taken from GCC manual
INCLUDE(CheckCSourceCompiles)
IF(CMAKE_COMPILER_IS_GNUCC)
   CHECK_C_SOURCE_COMPILES("
   #define GCC_VERSION (__GNUC__ * 10000 + __GNUC_MINOR__ * 100 + __GNUC_PATCHLEVEL__)
   #if GCC_VERSION < 40400
   #error
   #endif
   int main() { return 0; }" GCC_IS_4_4)
   IF(NOT GCC_IS_4_4)
	  MESSAGE(FATAL_ERROR "GCC 4.4+ is required.")
   ENDIF(NOT GCC_IS_4_4)
ENDIF(CMAKE_COMPILER_IS_GNUCC)

# Find put the path of the gnash executable, if available
FIND_PROGRAM(GNASH_EXE_PATH NAMES gnash)

IF(GNASH_EXE_PATH)
	MESSAGE(STATUS "Found gnash path: ${GNASH_EXE_PATH}")
ELSE(GNASH_EXE_PATH)
# Set a default path
	MESSAGE(STATUS "Gnash not found")
	SET(GNASH_EXE_PATH "/usr/bin/gnash")
ENDIF(GNASH_EXE_PATH)

# Find out CPU architecture ...
# we could also use IF(CMAKE_SIZEOF_VOID_P EQUAL 4) to determine if it's a 32 or a 64bit arch
#
# Setting the value of LIB_SUFFIX if not specified (We could build 32bit version on 64bit)
# However, some distro don't implement FHS the same way
# Suse, Redhat put 64bit libs in /lib64; Debian use /lib for 64bit, but specifies /lib32 for 32bit libs
# See FHS 2.3 for Lib directories under each architecture 

# Some directory shortcuts
SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/conf)
# If we're gcc, then use nasm to get fastpath.  If MSVC, just use inline asm to get around
# CMake issues 
IF(CMAKE_COMPILER_IS_GNUCC)
   INCLUDE(CMakeASM-NASMCompiler)
ENDIF(CMAKE_COMPILER_IS_GNUCC)
IF(${CMAKE_SYSTEM_PROCESSOR} MATCHES "^i[3-6]86$|^x86$")
	SET(i386 1)
	SET(LIB_SUFFIX "" CACHE STRING "Choose the suffix of the lib folder (if any) : None 32")
	# nasm for assembly optimizations
	IF(CMAKE_COMPILER_IS_GNUCC)
	   ENABLE_LANGUAGE(ASM-NASM)        
	ENDIF(CMAKE_COMPILER_IS_GNUCC)
ELSEIF(${CMAKE_SYSTEM_PROCESSOR} MATCHES "^x86_64$|^amd64$")
	SET(x86_64 1)
	SET(LIB_SUFFIX "" CACHE STRING "Choose the suffix of the lib folder (if any) : None 64")
	# nasm for assembly optimizations
	IF(CMAKE_COMPILER_IS_GNUCC)
	  ENABLE_LANGUAGE(ASM-NASM)
	ENDIF(CMAKE_COMPILER_IS_GNUCC)
ELSEIF(${CMAKE_SYSTEM_PROCESSOR} MATCHES "ppc")
	SET(ppc 1)
	SET(LIB_SUFFIX "" CACHE STRING "Choose the suffix of the lib folder (if any) : None ppc")
	SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -maltivec")
ELSE(${CMAKE_SYSTEM_PROCESSOR} MATCHES "^i[3-6]86$|^x86$")
	MESSAGE(SEND_ERROR "Platform ${CMAKE_SYSTEM_PROCESSOR} not supported")
ENDIF(${CMAKE_SYSTEM_PROCESSOR} MATCHES "^i[3-6]86$|^x86$")

# Using relative folders, cmake happens by itself CMAKE_INSTALL_PREFIX
IF(UNIX)
   SET(BINDIR "bin")
   SET(DATADIR "${CMAKE_INSTALL_PREFIX}/share")
   SET(LIBDIR "lib${LIB_SUFFIX}")
   SET(PRIVATELIBDIR "${CMAKE_INSTALL_PREFIX}/${LIBDIR}/lightspark")
   SET(CMAKE_INSTALL_RPATH "${PRIVATELIBDIR}")
ENDIF(UNIX)

# Setting variables
SET(CMAKE_INSTALL_PREFIX "/usr/local" CACHE PATH "Install prefix, default is /usr/local (UNIX) and C:\\Program Files (Windows)")
SET(COMPILE_LIGHTSPARK TRUE CACHE BOOL "Compile Lightspark?")
SET(COMPILE_TIGHTSPARK TRUE CACHE BOOL "Compile Tightspark?")
SET(COMPILE_PLUGIN FALSE CACHE BOOL "Compile the browser plugin?")
SET(AUDIO_BACKEND "pulse" CACHE STRING "Choose audio backend: none pulse alsa, default is pulse")
SET(ENABLE_CURL TRUE CACHE BOOL "Enable CURL? (Required for Downloader functionality)")
SET(ENABLE_LIBAVCODEC TRUE CACHE BOOL "Enable libavcodec and dependent functionality?")
SET(PLUGIN_DIRECTORY "${LIBDIR}/mozilla/plugins" CACHE STRING "Directory to install Firefox plugin to")
IF(NOT CMAKE_BUILD_TYPE)
	SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
		"Choose the type of build, options are: Debug Release RelWithDebInfo Profile" FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

# The library is searched in its private library directory
SET(CMAKE_SKIP_BUILD_RPATH FALSE)
SET(PRIVATELIBDIR "${CMAKE_INSTALL_PREFIX}/${LIBDIR}/lightspark")
SET(CMAKE_INSTALL_RPATH "${PRIVATELIBDIR}")

# Libraries we need
INCLUDE(FindGettext REQUIRED)
INCLUDE(FindLLVM REQUIRED)
INCLUDE(FindSDL REQUIRED)
INCLUDE(FindZLIB REQUIRED)
INCLUDE(FindFreetype REQUIRED)
INCLUDE(FindOpenGL REQUIRED)
INCLUDE(FindPCRECPP REQUIRED)
INCLUDE(FindFTGL REQUIRED)
INCLUDE(FindGLEW REQUIRED)
IF(UNIX)
  INCLUDE(FindPkgConfig REQUIRED)
	pkg_check_modules(XMLPP REQUIRED libxml++-2.6)
ENDIF(UNIX)

if(WIN32)
  INCLUDE(FindPThreads REQUIRED)
ELSE(WIN32)
  INCLUDE(FindThreads REQUIRED)
ENDIF(WIN32)

find_package(Boost COMPONENTS filesystem system REQUIRED)
if(Boost_FOUND)
  INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
ENDIF(Boost_FOUND)

IF(UNIX)
  INCLUDE(FindPkgConfig REQUIRED)
  pkg_check_modules(EXTRA_LIBS REQUIRED x11 fontconfig)
ENDIF(UNIX)

IF(WIN32)
  INCLUDE(FindWin32Stdint REQUIRED)
  INCLUDE_DIRECTORIES(${STDINT_INCLUDE_DIRS})
  SET(EXTRA_LIBS_LIBRARIES ${EXTRA_LIBS_LIBRARIES} WS2_32.lib)
ENDIF(WIN32)

IF(UNIX)
  IF(AUDIO_BACKEND)
    ADD_DEFINITIONS(-DAUDIO_BACKEND="${AUDIO_BACKEND}")
  ENDIF(AUDIO_BACKEND)
ENDIF(UNIX)

IF(ENABLE_LIBAVCODEC)
	pkg_check_modules(FFMPEG libavcodec)
	IF(NOT(FFMPEG_FOUND))
		INCLUDE(FindFFMpeg REQUIRED)
	ENDIF(NOT(FFMPEG_FOUND))
	# Compatibility checks for ffmpeg deprecated functions
  INCLUDE(CheckFunctionExists REQUIRED)
  SET(CMAKE_REQUIRED_FLAGS ${LIBAVCODEC_CFLAGS})
  SET(CMAKE_REQUIRED_INCLUDES ${FFMPEG_INCLUDE_DIRS})
  SET(CMAKE_REQUIRED_LIBRARIES ${FFMPEG_LIBRARIES})
  CHECK_FUNCTION_EXISTS(avcodec_decode_video2 HAVE_AVCODEC_DECODE_VIDEO2)
  CHECK_FUNCTION_EXISTS(avcodec_decode_audio3 HAVE_AVCODEC_DECODE_AUDIO3)
  SET(CMAKE_REQUIRED_FLAGS)
  SET(CMAKE_REQUIRED_INCLUDES)
  SET(CMAKE_REQUIRED_LIBRARIES)
  IF(HAVE_AVCODEC_DECODE_VIDEO2)
    ADD_DEFINITIONS(-DHAVE_AVCODEC_DECODE_VIDEO2)
  ENDIF(HAVE_AVCODEC_DECODE_VIDEO2)
  IF(HAVE_AVCODEC_DECODE_AUDIO3)
    ADD_DEFINITIONS(-DHAVE_AVCODEC_DECODE_AUDIO3)
  ENDIF(HAVE_AVCODEC_DECODE_AUDIO3)
  ADD_DEFINITIONS(-DENABLE_LIBAVCODEC)
ENDIF(ENABLE_LIBAVCODEC)

INCLUDE_DIRECTORIES(${SDL_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${LLVM_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${Threads_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${FREETYPE_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${OPENGL_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${PCRECPP_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${FTGL_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${GLEW_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${XMLPP_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${EXTRA_LIBS_INCLUDE_DIRS})

IF(ENABLE_LIBAVCODEC)
  INCLUDE_DIRECTORIES(${FFMPEG_INCLUDE_DIRS})
  SET(OPTIONAL_LIBRARIES ${OPTIONAL_LIBRARIES} ${FFMPEG_LIBRARIES})
ENDIF(ENABLE_LIBAVCODEC)	

IF(CMAKE_COMPILER_IS_GNUCC)
  SET(CMAKE_EXE_LINKER_FLAGS "-Wl,--as-needed -Wl,--no-undefined ${CMAKE_EXE_LINKER_FLAGS}")
  SET(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
ENDIF(CMAKE_COMPILER_IS_GNUCC)

LINK_DIRECTORIES(${LLVM_LIB_DIR})

IF(COMPILE_PLUGIN)
  pkg_check_modules(GTK REQUIRED gtk+-2.0)
  INCLUDE_DIRECTORIES(${GTK_INCLUDE_DIRS})
  ADD_DEFINITIONS(-DMOZ_X11 -DCOMPILE_PLUGIN)
ENDIF(COMPILE_PLUGIN)

IF(ENABLE_CURL)
  INCLUDE(FindCURL REQUIRED)
  INCLUDE_DIRECTORIES(${CURL_INCLUDE_DIR})
  SET(OPTIONAL_LIBRARIES ${OPTIONAL_LIBRARIES} ${CURL_LIBRARIES})
  ADD_DEFINITIONS(-DENABLE_CURL)
ENDIF(ENABLE_CURL)

IF(ENABLE_DEBIAN_ALTERNATIVES)
  SET(PLUGIN_DIRECTORY ${PRIVATELIBDIR})
ENDIF(ENABLE_DEBIAN_ALTERNATIVES)

# Compiler defaults flags for different profiles
IF(CMAKE_COMPILER_IS_GNUCC)
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wnon-virtual-dtor -Woverloaded-virtual -pipe -fvisibility=hidden -fvisibility-inlines-hidden -std=c++0x")
  SET(CMAKE_CXX_FLAGS_DEBUG "-g -O0 -DEXPENSIVE_DEBUG")
  SET(CMAKE_CXX_FLAGS_PROFILE "-g -pg -O2")
  SET(CMAKE_CXX_FLAGS_RELEASE "-O2 -DNDEBUG")
  SET(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-g -O2 -DNDEBUG")
  SET(CMAKE_CXX_FLAGS_LEANDEBUG "-g -O2")
  ADD_DEFINITIONS(-DDATADIR="${DATADIR}/lightspark" -DGNASH_PATH="${GNASH_EXE_PATH}" -DPRIVATELIBDIR="${PRIVATELIBDIR}")
ENDIF(CMAKE_COMPILER_IS_GNUCC)

IF(MSVC)
  ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS -D_SCL_SECURE_NO_WARNINGS -DVPCOMPAT -DPTW32_STATIC_LIB -DPCRE_STATIC)
ENDIF(MSVC)

# Setting the output directories, so we can build all profiles without mixmatching
IF(CMAKE_COMPILER_IS_GNUCC)
  SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/${CMAKE_SYSTEM_PROCESSOR}/${CMAKE_BUILD_TYPE}/bin")
  SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/${CMAKE_SYSTEM_PROCESSOR}/${CMAKE_BUILD_TYPE}/lib${LIB_SUFFIX}")
  #SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/objs/${CMAKE_SYSTEM_PROCESSOR}/${CMAKE_BUILD_TYPE}/lib${LIB_SUFFIX}" CACHE PATH "Static libraries output directory")
ENDIF(CMAKE_COMPILER_IS_GNUCC)

# liblightspark.so sources
SET(LIBSPARK_SOURCES 
  asobject.cpp
  compat.cpp
  frame.cpp
  logger.cpp
  swf.cpp
  swftypes.cpp
  thread_pool.cpp
  threading.cpp
  timer.cpp
  backends/audio.cpp
  backends/decoder.cpp
  backends/geometry.cpp
  backends/graphics.cpp
  backends/input.cpp
  backends/netutils.cpp
  backends/pluginmanager.cpp
  backends/rendering.cpp
  backends/security.cpp
  backends/urlutils.cpp
  parsing/crossdomainpolicy.cpp
  parsing/flv.cpp
  parsing/streams.cpp
  parsing/tags.cpp
  parsing/tags_stub.cpp
  parsing/textfile.cpp
  scripting/abc.cpp
  scripting/abc_codesynt.cpp
  scripting/abc_interpreter.cpp
  scripting/abc_opcodes.cpp
  scripting/actions.cpp
  scripting/class.cpp
  scripting/flashdisplay.cpp
  scripting/flashevents.cpp
  scripting/flashexternal.cpp
  scripting/flashgeom.cpp
  scripting/flashmedia.cpp
  scripting/flashnet.cpp
  scripting/flashsystem.cpp
  scripting/flashtext.cpp
  scripting/flashutils.cpp
  scripting/flashxml.cpp
  scripting/toplevel.cpp
  scripting/vm.cpp)
IF(${i386})
  IF(CMAKE_COMPILER_IS_GNUCC)
    SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/fastpaths_32.asm)
  ELSE (CMAKE_COMPILER_IS_GNUCC)
    SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/fastpaths_32vc.cpp)
  ENDIF(CMAKE_COMPILER_IS_GNUCC)
ELSEIF(${x86_64})
  #Why is there a particular faspaths_32vc but none for 64 bit?
  SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/fastpaths_64.asm)
ELSEIF(${ppc})
  SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/fastpaths_ppc.cpp)
ENDIF(${i386})

INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR})

# liblightspark.so target
IF(CMAKE_COMPILER_IS_GNUCC)
  ADD_LIBRARY(spark SHARED ${LIBSPARK_SOURCES})
  SET_TARGET_PROPERTIES(spark PROPERTIES OUTPUT_NAME lightspark)
  SET_TARGET_PROPERTIES(spark PROPERTIES LINK_FLAGS "${LLVM_LDFLAGS} -Wl,--version-script=${CMAKE_CURRENT_SOURCE_DIR}/lightspark.expmap")
  SET_TARGET_PROPERTIES(spark PROPERTIES LINK_INTERFACE_LIBRARIES "")
ELSE (CMAKE_COMPILER_IS_GNUCC)
  ADD_LIBRARY(spark STATIC ${LIBSPARK_SOURCES})
ENDIF (CMAKE_COMPILER_IS_GNUCC)

TARGET_LINK_LIBRARIES(spark ${EXTRA_LIBS_LIBRARIES} ${ZLIB_LIBRARIES}
	${Boost_LIBRARIES} ${LLVM_LIBS_CORE} ${LLVM_LIBS_JIT} ${SDL_LIBRARY}
	${OPTIONAL_LIBRARIES} ${GTK_LIBRARIES} ${FREETYPE_LIBRARIES}

=== backends/interfaces/audio/openal/CMakeLists.txt ===
#**************************************************************************
#    Lightspark, a free flash player implementation
#
#    Copyright (C) 2010  Giacomo Spigler <g.spigler@sssup.it>
#    Copyright (C) 2010  Alessandro Pignotti <a.pignotti@sssup.it>
#    Copyright (C) 2010  Alexandre Demers <papouta@hotmail.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Lesser General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Lesser General Public License for more details.
#
#   You should have received a copy of the GNU Lesser General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
#**************************************************************************

## Compiler defaults flags for different profiles
#SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wnon-virtual-dtor -Woverloaded-virtual -pipe -fvisibility=hidden -fvisibility-inlines-hidden -std=c++0x")
#
#SET(CMAKE_CXX_FLAGS_DEBUG "-g -O0 -DEXPENSIVE_DEBUG")
#SET(CMAKE_CXX_FLAGS_PROFILE "-g -pg -O2")
#SET(CMAKE_CXX_FLAGS_RELEASE "-O3 -DNDEBUG")
#SET(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-g -O2 -DNDEBUG")
#SET(CMAKE_CXX_FLAGS_DEBIAN "-O2 -DNDEBUG")
#SET(CMAKE_CXX_FLAGS_LEANDEBUG "-g -O2")

INCLUDE_DIRECTORIES(".")
INCLUDE_DIRECTORIES("..")

pkg_check_modules(OPENAL_LIBS REQUIRED openal)
INCLUDE_DIRECTORIES(${OPENAL_LIBS_INCLUDE_DIRS})
if(!Boost_FOUND)
  find_package(Boost COMPONENTS filesystem system regex)
  if(Boost_FOUND)
    INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
  endif(Boost_FOUND)
endif(!Boost_FOUND)
ADD_DEFINITIONS(-DPULSE_BACKEND=TRUE)

SET(OPENALPLUGIN_SOURCES OpenALPlugin.cpp ../../IPlugin.cpp ../IAudioPlugin.cpp)

# liblightsparkpulseplugin.so target
ADD_LIBRARY(openalplugin SHARED ${OPENALPLUGIN_SOURCES})
TARGET_LINK_LIBRARIES(openalplugin spark) #Need to link some functions with the decoders
TARGET_LINK_LIBRARIES(openalplugin ${OPENAL_LIBS_LIBRARIES} ${Boost_LIBRARIES})
SET_TARGET_PROPERTIES(openalplugin PROPERTIES OUTPUT_NAME lightsparkopenalplugin)
#SET_TARGET_PROPERTIES(openalplugin PROPERTIES VERSION "${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
#SET_TARGET_PROPERTIES(openalplugin PROPERTIES SOVERSION "${MAJOR_VERSION}.${MINOR_VERSION}")

IF(UNIX)
	INSTALL(TARGETS openalplugin LIBRARY DESTINATION ${PRIVATELIBDIR}/plugins)
ENDIF(UNIX)

=== debian/changelog ===
lightspark (0.4.4.3-1) experimental; urgency=low

  [ Didier Raboud ]
  * New upstream release.
  * debian/control:
    - Build-depend on libxml++2.6-dev.
  * debian/lightspark-{,common}.install:
    - Install localization, icon, and .desktop files.

  [ Luca Falavigna ]
  * debian/browser-plugin-lightspark.dirs:
    - Make sure /usr/lib/mozilla/plugins is created before trying to
      provide alternatives for flash-mozilla.so (Closes: #601019).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 23 Oct 2010 14:21:32 +0200

lightspark (0.4.4.2-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/hurd.patch:
    - Refresh due to new upstream release.
  * debian/control:
    - Build-depend on libboost-{filesystem,system,regex}-dev.
    - Recommend gnash for lightspark package (Closes: #597200).
  * debian/copyright:
    - Update with latest copyright information.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 22 Sep 2010 18:31:48 +0200

lightspark (0.4.4.1-1) experimental; urgency=low

  * New upstream bugfix release.

  * Putting under Debian Flash Maintainers <pkg-flash-devel@l.a.d.o> umbrella:
    - git repository moved from collab-maint to pkg-flash
    - Vcs-* Fields updated accordingly
    - Maintainer changed, moved myself to Uploaders.

 -- Didier Raboud <didier@raboud.com>  Thu, 02 Sep 2010 21:44:43 +0200

lightspark (0.4.4-1) experimental; urgency=low

  * New upstream release

  * debian/patches/hurd.patch: Refresh.

 -- Didier Raboud <didier@raboud.com>  Mon, 30 Aug 2010 14:31:10 +0200

lightspark (0.4.3-1) experimental; urgency=low

  * New upstream release (Closes: #593367).

  [ Didier Raboud ]
  * debian/watch: Manage rc versions.

  [ Luca Falavigna ]
  * debian/patches/hurd.patch:
    - Basic GNU/Hurd support.
  * debian/browser-plugin-lightspark.*:
    - Implement alternatives on flash-mozilla.so (Closes: #590565).
  * debian/control:
    - Limit architectures to any-i386 and any-amd64 (Closes: #591357).

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 18 Aug 2010 18:49:12 +0200

lightspark (0.4.2.2-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    - Build-depend on gnash-common, and add it as recommended package
      for browser-plugin-lightspark to enable fallback support.
    - Build depend on xulrunner-dev (>= 1.9.2).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 05 Aug 2010 21:05:43 +0200

lightspark (0.4.2.1-1) experimental; urgency=low

  * New upstream bugfix release.

  [ Luca Falavigna ]
  * debian/patches/avoidManpageErrors.patch
    - Removed, adopted upstream.
  *  debian/patches/privateLibrary.patch
    - Removed, adopted upstream.
  * debian/control:
    - Limit architectures to i386 amd64 kfreebsd-any (Closes: #590267).
    - Bump Standards-Version to 3.9.1, no changes required.

  [ Didier Raboud ]
  * debian/control:
    - Add pulseaudio recommends to lightspark-common, for real.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 26 Jul 2010 20:08:45 +0200

lightspark (0.4.2-1) experimental; urgency=low

  [ Didier Raboud ]
  * Initial upload to Debian (Closes: #582120).
    - Re-use upstream's PPA packaging. Thanks to Alessandro Pignotti !
  * debian/control:
    - Set myself as Maintainer, put DMUA.
    - Adapt Vcs-* fields to Debian's collab-maint.
    - Arch is any.
    - Use llvm-2.7-dev in addition to llvm-dev (> 2.7).
    - Correct "we" typos.
    - Add pulseaudio recommends.
  * New packages: 
    - -dbg package.
    - -common package with the private library and data.
  * Add lintian overrides for the use of rpath for the private library.
  * debian/copyright: Update.
  * debian/watch: Update using Launchpad.net.
  * Move from cdbs to dh7 tiny style.
  * Cleanup:
    - Remove empty README.Debian.
  * Use 3.0 (quilt) source package format.
  * Patch manpage to correct hyphen-used-as-minus error.

  [ Luca Falavigna ]
  * debian/control:
    - Add myself to Uploaders.
    - Rename mozilla-plugin-lightspark to browser-plugin-lightspark to
      match naming scheme by Mozilla team.
  * debian/copyright:
    - Add missing license information.

 -- Didier Raboud <didier@raboud.com>  Thu, 22 Jul 2010 10:43:03 +0200

lightspark (0.4.1-0ubuntu1) lucid; urgency=low

  * New release

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Sat, 05 Jun 2010 03:13:43 +0200

lightspark (0.4.0~rc3-0ubuntu1) lucid; urgency=low

  * New release

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Sat, 29 May 2010 19:16:49 +0200

lightspark (0.4.0~rc2-0ubuntu1) lucid; urgency=low

  * New release

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Sat, 29 May 2010 04:06:21 +0200

lightspark (0.4.0~rc1-ubuntu1) lucid; urgency=low

  * New release

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Fri, 28 May 2010 06:23:06 +0200

lightspark (0.3.9-ubuntu1) lucid; urgency=low

  * New release

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Mon, 24 May 2010 13:14:46 +0200

lightspark (0.3.8-ubuntu1) lucid; urgency=low

  * New release

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Sun, 23 May 2010 01:16:32 +0200

lightspark (0.3.7-ubuntu1) lucid; urgency=low

  * New release

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Fri, 21 May 2010 23:12:25 +0200

lightspark (0.3.6-ubuntu1) lucid; urgency=low

  * New release

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Thu, 20 May 2010 23:42:28 +0200

lightspark (0.3.5-ubuntu1) lucid; urgency=low

  * A fix in SWF parsing
  * Show debug message also in standalone version

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Thu, 20 May 2010 02:02:18 +0200

lightspark (0.3.4-ubuntu1) lucid; urgency=low

  * Fixed a bug triggered by compiler optimizations

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Wed, 19 May 2010 19:33:43 +0200

lightspark (0.3.3-ubuntu1) lucid; urgency=low

  * Enable assertions in release builds

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Wed, 19 May 2010 05:26:49 +0200

lightspark (0.3.2-ubuntu1) lucid; urgency=low

  * Enable debug output in release



=== debian/control ===
Source: lightspark
Section: utils
Priority: optional
Maintainer: Debian Flash Maintainers <pkg-flash-devel@lists.alioth.debian.org>
Uploaders: Didier Raboud <didier@raboud.com>, Luca Falavigna <dktrkranz@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50),
	cmake,
	nasm,
	llvm-2.7-dev (>= 2.7) | llvm-dev (>= 2.7),
	libcurl4-gnutls-dev,
	zlib1g-dev,
	libgl1-mesa-dev,
	libpcre3-dev,
	libavutil-dev,
	libftgl-dev,
	libx11-dev,
	libglu1-mesa-dev,
	fontconfig,
	libglew-dev,
	libboost-filesystem-dev,
	libboost-system-dev,
	libboost-regex-dev,
	libpulse-dev,
	libavcodec-dev,
	libgtk2.0-dev,
	libnspr4-dev,
	xulrunner-dev (>= 1.9.2),
	libsdl-dev,
	libffi-dev,
	libxml++2.6-dev,
	gnash-common
Standards-Version: 3.9.1
Homepage: http://lightspark.sf.net
Vcs-Git: git://git.debian.org/pkg-flash/lightspark.git
Vcs-Browser: http://git.debian.org/?p=pkg-flash/lightspark.git

Package: lightspark
Architecture: any-i386 any-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gnash
Description: High-performance SWF player (experimental)
 Lightspark is a free Flash player for Linux which aims for high-performance
 by using modern technologies such as JIT compilation and OpenGL shaders.
 .
 The project is currently in an alpha status and provides the standalone
 player and mozilla plugin for testing purposes only.
 .
 Nice features:
  * JIT compilation of ActionScript to native x86 bytecode
  * Hardware accelerated rendering using OpenGL shaders (GLSL)
  * Aims to support current-generation ActionScript 3
  * A new, clean, codebase exploiting multithreading and optimized for modern
    hardware. Designed from scratch after the official Flash documentation was
    released.

Package: browser-plugin-lightspark
Architecture: any-i386 any-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gnash-common
Description: High-performance SWF player - Mozilla Plugin (experimental)
 Lightspark is a free Flash player for Linux which aims for high-performance
 by using modern technologies such as JIT compilation and OpenGL shaders.
 .
 The project is currently in an alpha status and provides the standalone
 player and mozilla plugin for testing purposes only.
 .
 Nice features:
  * JIT compilation of ActionScript to native x86 bytecode
  * Hardware accelerated rendering using OpenGL shaders (GLSL)
  * Aims to support current-generation ActionScript 3
  * A new, clean, codebase exploiting multithreading and optimized for modern
    hardware. Designed from scratch after the official Flash documentation was
    released.
 .
 This package contains the mozilla plugin.

Package: lightspark-common
Architecture: any-i386 any-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-liberation
Recommends: pulseaudio
Description: High-performance SWF player - common data
 Lightspark is a free Flash player for Linux which aims for high-performance
 by using modern technologies such as JIT compilation and OpenGL shaders.
 .
 The project is currently in an alpha status and provides the standalone
 player and mozilla plugin for testing purposes only.
 .
 Nice features:
  * JIT compilation of ActionScript to native x86 bytecode
  * Hardware accelerated rendering using OpenGL shaders (GLSL)
  * Aims to support current-generation ActionScript 3
  * A new, clean, codebase exploiting multithreading and optimized for modern
    hardware. Designed from scratch after the official Flash documentation was
    released.
 .
 This package contains the common library and data.

Package: lightspark-dbg
Section: debug
Priority: extra
Architecture: any-i386 any-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 lightspark (= ${binary:Version}) |
 browser-plugin-lightspark (= ${binary:Version}) |
 lightspark-common (= ${binary:Version})
Description: High-performance SWF player (experimental) - Debug symbols
 Lightspark is a free Flash player for Linux which aims for high-performance
 by using modern technologies such as JIT compilation and OpenGL shaders.
 .
 The project is currently in an alpha status and provides the standalone
 player and mozilla plugin for testing purposes only.
 .
 Nice features:
  * JIT compilation of ActionScript to native x86 bytecode
  * Hardware accelerated rendering using OpenGL shaders (GLSL)
  * Aims to support current-generation ActionScript 3
  * A new, clean, codebase exploiting multithreading and optimized for modern
    hardware. Designed from scratch after the official Flash documentation was
    released.
 .
 This package contains the debug symbols.

## lightspark 0.4.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,11 @@
 PROJECT(LIGHTSPARK)
 SET(MAJOR_VERSION "0")
 SET(MINOR_VERSION "4")
-SET(PATCH_VERSION "4")
+SET(PATCH_VERSION "5")
+SET(SUBPATCH_VERSION "1")
+
+ADD_DEFINITIONS(-DVERSION="${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}.${SUBPATCH_VERSION}")
+ADD_DEFINITIONS(-DSHORTVERSION="${MINOR_VERSION}${PATCH_VERSION}${SUBPATCH_VERSION}")
 
 # GCC 4.4+ is required, GCC_VERSION macro taken from GCC manual
 INCLUDE(CheckCSourceCompiles)
@@ -84,13 +88,14 @@
 ELSEIF(${CMAKE_SYSTEM_PROCESSOR} MATCHES "ppc")
 	SET(ppc 1)
 	SET(LIB_SUFFIX "" CACHE STRING "Choose the suffix of the lib folder (if any) : None ppc")
-	SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -maltivec")
+	SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -maltivec -D__STDC_CONSTANT_MACROS -fPIC")
 ELSE(${CMAKE_SYSTEM_PROCESSOR} MATCHES "^i[3-6]86$|^x86$")
 	MESSAGE(SEND_ERROR "Platform ${CMAKE_SYSTEM_PROCESSOR} not supported")
 ENDIF(${CMAKE_SYSTEM_PROCESSOR} MATCHES "^i[3-6]86$|^x86$")
 
 # Using relative folders, cmake happens by itself CMAKE_INSTALL_PREFIX
 IF(UNIX)
+	 SET(ETCDIR "/etc") #Using absolute folder
    SET(BINDIR "bin")
    SET(DATADIR "${CMAKE_INSTALL_PREFIX}/share")
    SET(LIBDIR "lib${LIB_SUFFIX}")
@@ -103,7 +108,6 @@
 SET(COMPILE_LIGHTSPARK TRUE CACHE BOOL "Compile Lightspark?")
 SET(COMPILE_TIGHTSPARK TRUE CACHE BOOL "Compile Tightspark?")
 SET(COMPILE_PLUGIN FALSE CACHE BOOL "Compile the browser plugin?")
-SET(AUDIO_BACKEND "pulse" CACHE STRING "Choose audio backend: none pulse alsa, default is pulse")
 SET(ENABLE_CURL TRUE CACHE BOOL "Enable CURL? (Required for Downloader functionality)")
 SET(ENABLE_LIBAVCODEC TRUE CACHE BOOL "Enable libavcodec and dependent functionality?")
 SET(PLUGIN_DIRECTORY "${LIBDIR}/mozilla/plugins" CACHE STRING "Directory to install Firefox plugin to")
@@ -145,7 +149,7 @@
 
 IF(UNIX)
   INCLUDE(FindPkgConfig REQUIRED)
-  pkg_check_modules(EXTRA_LIBS REQUIRED x11 fontconfig)
+  pkg_check_modules(EXTRA_LIBS REQUIRED x11 fontconfig cairo)
 ENDIF(UNIX)
 
 IF(WIN32)
@@ -161,7 +165,7 @@
 ENDIF(UNIX)
 
 IF(ENABLE_LIBAVCODEC)
-	pkg_check_modules(FFMPEG libavcodec)
+	pkg_check_modules(FFMPEG libavcodec libavutil)
 	IF(NOT(FFMPEG_FOUND))
 		INCLUDE(FindFFMpeg REQUIRED)
 	ENDIF(NOT(FFMPEG_FOUND))
@@ -203,7 +207,7 @@
 
 IF(CMAKE_COMPILER_IS_GNUCC)
   SET(CMAKE_EXE_LINKER_FLAGS "-Wl,--as-needed -Wl,--no-undefined ${CMAKE_EXE_LINKER_FLAGS}")
-  SET(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
+  SET(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed,-z,noexecstack ${CMAKE_SHARED_LINKER_FLAGS}")
 ENDIF(CMAKE_COMPILER_IS_GNUCC)
 
 LINK_DIRECTORIES(${LLVM_LIB_DIR})
@@ -227,7 +231,8 @@
 
 # Compiler defaults flags for different profiles
 IF(CMAKE_COMPILER_IS_GNUCC)
-  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wnon-virtual-dtor -Woverloaded-virtual -pipe -fvisibility=hidden -fvisibility-inlines-hidden -std=c++0x")
+  SET(CMAKE_CXX_FLAGS
+	"${CMAKE_CXX_FLAGS} -Wall -Wnon-virtual-dtor -Woverloaded-virtual -pipe -fvisibility=hidden -fvisibility-inlines-hidden -std=c++0x -Wdisabled-optimization")
   SET(CMAKE_CXX_FLAGS_DEBUG "-g -O0 -DEXPENSIVE_DEBUG")
   SET(CMAKE_CXX_FLAGS_PROFILE "-g -pg -O2")
   SET(CMAKE_CXX_FLAGS_RELEASE "-O2 -DNDEBUG")
@@ -259,6 +264,7 @@
   threading.cpp
   timer.cpp
   backends/audio.cpp
+  backends/config.cpp
   backends/decoder.cpp
   backends/geometry.cpp
   backends/graphics.cpp
@@ -268,6 +274,9 @@
   backends/rendering.cpp
   backends/security.cpp
   backends/urlutils.cpp
+  parsing/amf3_generator.cpp
+  parsing/amf3_parser.cpp
+  parsing/config.cpp
   parsing/crossdomainpolicy.cpp
   parsing/flv.cpp
   parsing/streams.cpp
@@ -293,16 +302,18 @@
   scripting/toplevel.cpp
   scripting/vm.cpp)
 IF(${i386})
+  SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/fastpaths_x86.cpp)
   IF(CMAKE_COMPILER_IS_GNUCC)
-    SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/fastpaths_32.asm)
+    SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/fastpaths_i686.asm)
   ELSE (CMAKE_COMPILER_IS_GNUCC)
     SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/fastpaths_32vc.cpp)
   ENDIF(CMAKE_COMPILER_IS_GNUCC)
 ELSEIF(${x86_64})
+  SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/fastpaths_x86.cpp)
   #Why is there a particular faspaths_32vc but none for 64 bit?
-  SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/fastpaths_64.asm)
-ELSEIF(${ppc})
-  SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/fastpaths_ppc.cpp)
+  SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/fastpaths_amd64.asm)
+ELSE()
+  SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/slowpaths_generic.cpp)
 ENDIF(${i386})
 
 INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR})
@@ -311,12 +322,3 @@
 IF(CMAKE_COMPILER_IS_GNUCC)
   ADD_LIBRARY(spark SHARED ${LIBSPARK_SOURCES})
   SET_TARGET_PROPERTIES(spark PROPERTIES OUTPUT_NAME lightspark)
-  SET_TARGET_PROPERTIES(spark PROPERTIES LINK_FLAGS "${LLVM_LDFLAGS} -Wl,--version-script=${CMAKE_CURRENT_SOURCE_DIR}/lightspark.expmap")
-  SET_TARGET_PROPERTIES(spark PROPERTIES LINK_INTERFACE_LIBRARIES "")
-ELSE (CMAKE_COMPILER_IS_GNUCC)
-  ADD_LIBRARY(spark STATIC ${LIBSPARK_SOURCES})
-ENDIF (CMAKE_COMPILER_IS_GNUCC)
-
-TARGET_LINK_LIBRARIES(spark ${EXTRA_LIBS_LIBRARIES} ${ZLIB_LIBRARIES}
-	${Boost_LIBRARIES} ${LLVM_LIBS_CORE} ${LLVM_LIBS_JIT} ${SDL_LIBRARY}
-	${OPTIONAL_LIBRARIES} ${GTK_LIBRARIES} ${FREETYPE_LIBRARIES}

=== plugin/CMakeLists.txt ===
#**************************************************************************
#    Lightspark, a free flash player implementation
#
#    Copyright (C) 2010  Giacomo Spigler <g.spigler@sssup.it>
#    Copyright (C) 2010  Alessandro Pignotti <a.pignotti@sssup.it>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Lesser General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Lesser General Public License for more details.
#
#   You should have received a copy of the GNU Lesser General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
#**************************************************************************

# Dependencies
INCLUDE_DIRECTORIES("include")
INCLUDE_DIRECTORIES("..")

pkg_check_modules(MOZ_PLUGIN REQUIRED nspr mozilla-plugin x11)
INCLUDE_DIRECTORIES(${GTK_INCLUDE_DIRS} ${MOZ_PLUGIN_INCLUDE_DIRS})
ADD_DEFINITIONS(-DMOZ_X11 -DCOMPILE_PLUGIN)
IF(UNIX)
	ADD_DEFINITIONS(-DXP_UNIX)
ENDIF(UNIX)

# Firefox plugin target
ADD_LIBRARY(lightsparkplugin SHARED np_entry.cpp npn_gate.cpp npp_gate.cpp plugin.cpp)
TARGET_LINK_LIBRARIES(lightsparkplugin spark ${MOZ_PLUGIN_LIBRARIES} ${GTK_LIBRARIES})

IF(UNIX)
	INSTALL(TARGETS lightsparkplugin LIBRARY DESTINATION ${PLUGIN_DIRECTORY})
ENDIF(UNIX)

=== backends/interfaces/CMakeLists.txt ===
#**************************************************************************
#    Lightspark, a free flash player implementation
#
#    Copyright (C) 2010  Giacomo Spigler <g.spigler@sssup.it>
#    Copyright (C) 2010  Alessandro Pignotti <a.pignotti@sssup.it>
#    Copyright (C) 2010  Alexandre Demers <papouta@hotmail.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Lesser General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Lesser General Public License for more details.
#
#   You should have received a copy of the GNU Lesser General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
#**************************************************************************

include_directories(".")
INCLUDE_DIRECTORIES("..")
add_subdirectory(audio)

=== debian/changelog ===
lightspark (0.4.5.1-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/hurd.patch:
    - Refresh due to new upstream release.
  * debian/control:
    - Allow build on powerpc architecture.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 19 Dec 2010 14:02:47 +0100

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
 Vcs-Browser: http://git.debian.org/?p=pkg-flash/lightspark.git
 
 Package: lightspark
-Architecture: any-i386 any-amd64
+Architecture: any-i386 any-amd64 powerpc
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: gnash
 Description: High-performance SWF player (experimental)
@@ -55,7 +55,7 @@
     released.
 
 Package: browser-plugin-lightspark
-Architecture: any-i386 any-amd64
+Architecture: any-i386 any-amd64 powerpc
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: gnash-common
 Description: High-performance SWF player - Mozilla Plugin (experimental)
@@ -76,7 +76,7 @@
  This package contains the mozilla plugin.
 
 Package: lightspark-common
-Architecture: any-i386 any-amd64
+Architecture: any-i386 any-amd64 powerpc
 Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-liberation
 Recommends: pulseaudio
 Description: High-performance SWF player - common data
@@ -99,7 +99,7 @@
 Package: lightspark-dbg
 Section: debug
 Priority: extra
-Architecture: any-i386 any-amd64
+Architecture: any-i386 any-amd64 powerpc
 Depends: ${shlibs:Depends}, ${misc:Depends}, 
  lightspark (= ${binary:Version}) |
  browser-plugin-lightspark (= ${binary:Version}) |

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --parallel $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCOMPILE_PLUGIN=1 \
	    -DCMAKE_BUILD_TYPE=Debian

override_dh_strip:
	dh_strip --dbg-package=lightspark-dbg

override_dh_install:
	dh_install --list-missing

override_dh_shlibdeps:
	export LD_LIBRARY_PATH="$(CURDIR)/debian/lightspark-common/usr/lib/lightspark:$$LD_LIBRARY_PATH" ; \
	    dh_shlibdeps -Llightspark-common \
	    -pbrowser-plugin-lightspark -plightspark \
	    -- -Ldebian/common.shlibs

	dh_shlibdeps --remaining-packages

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/lightspark

## lightspark 0.4.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,7 @@
 SET(MAJOR_VERSION "0")
 SET(MINOR_VERSION "4")
 SET(PATCH_VERSION "5")
-SET(SUBPATCH_VERSION "1")
+SET(SUBPATCH_VERSION "3")
 
 ADD_DEFINITIONS(-DVERSION="${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}.${SUBPATCH_VERSION}")
 ADD_DEFINITIONS(-DSHORTVERSION="${MINOR_VERSION}${PATCH_VERSION}${SUBPATCH_VERSION}")
@@ -244,6 +244,13 @@
 IF(MSVC)
   ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS -D_SCL_SECURE_NO_WARNINGS -DVPCOMPAT -DPTW32_STATIC_LIB -DPCRE_STATIC)
 ENDIF(MSVC)
+
+# Check if the system have atomic header ( gcc >= 4.6 )
+INCLUDE (CheckIncludeFileCXX)
+CHECK_INCLUDE_FILE_CXX (atomic HAVE_ATOMIC)
+IF(HAVE_ATOMIC)
+  ADD_DEFINITIONS(-DHAVE_ATOMIC)
+ENDIF(HAVE_ATOMIC)
 
 # Setting the output directories, so we can build all profiles without mixmatching
 IF(CMAKE_COMPILER_IS_GNUCC)
@@ -318,7 +325,3 @@
 
 INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR})
 
-# liblightspark.so target
-IF(CMAKE_COMPILER_IS_GNUCC)
-  ADD_LIBRARY(spark SHARED ${LIBSPARK_SOURCES})
-  SET_TARGET_PROPERTIES(spark PROPERTIES OUTPUT_NAME lightspark)

=== debian/changelog ===
lightspark (0.4.5.3-0ubuntu1) natty; urgency=low

  * New upstream release
  * Keep our armel build-related changes.

 -- Jani Monoses <jani@ubuntu.com>  Mon, 28 Feb 2011 20:35:23 +0200

lightspark (0.4.5.1-1ubuntu1) natty; urgency=low

  * debian/patches/armel_build.patch:
     - Add arm target to CMakeLists.txt
  * debian/control:
    - Allow build on armel architecture.

 -- Jani Monoses <jani@ubuntu.com>  Mon, 20 Dec 2010 21:40:10 +0200

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
 Vcs-Browser: http://git.debian.org/?p=pkg-flash/lightspark.git
 
 Package: lightspark
-Architecture: any-i386 any-amd64 powerpc
+Architecture: any-i386 any-amd64 powerpc armel
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: gnash
 Description: High-performance SWF player (experimental)
@@ -55,7 +55,7 @@
     released.
 
 Package: browser-plugin-lightspark
-Architecture: any-i386 any-amd64 powerpc
+Architecture: any-i386 any-amd64 powerpc armel
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: gnash-common
 Description: High-performance SWF player - Mozilla Plugin (experimental)
@@ -76,7 +76,7 @@
  This package contains the mozilla plugin.
 
 Package: lightspark-common
-Architecture: any-i386 any-amd64 powerpc
+Architecture: any-i386 any-amd64 powerpc armel
 Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-liberation
 Recommends: pulseaudio
 Description: High-performance SWF player - common data
@@ -99,7 +99,7 @@
 Package: lightspark-dbg
 Section: debug
 Priority: extra
-Architecture: any-i386 any-amd64 powerpc
+Architecture: any-i386 any-amd64 powerpc armel
 Depends: ${shlibs:Depends}, ${misc:Depends}, 
  lightspark (= ${binary:Version}) |
  browser-plugin-lightspark (= ${binary:Version}) |

## lightspark 0.4.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,10 +25,16 @@
 PROJECT(LIGHTSPARK)
 SET(MAJOR_VERSION "0")
 SET(MINOR_VERSION "4")
-SET(PATCH_VERSION "5")
-SET(SUBPATCH_VERSION "3")
-
-ADD_DEFINITIONS(-DVERSION="${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}.${SUBPATCH_VERSION}")
+SET(PATCH_VERSION "6")
+SET(SUBPATCH_VERSION "0")
+
+IF(EXISTS "${CMAKE_SOURCE_DIR}/.git/")
+	SET(GIT_VERSION "-git")
+ELSE(EXISTS "${CMAKE_SOURCE_DIR}/.git/")
+	SET(GIT_VERSION "")
+ENDIF(EXISTS "${CMAKE_SOURCE_DIR}/.git/")
+
+ADD_DEFINITIONS(-DVERSION="${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}.${SUBPATCH_VERSION}${GIT_VERSION}")
 ADD_DEFINITIONS(-DSHORTVERSION="${MINOR_VERSION}${PATCH_VERSION}${SUBPATCH_VERSION}")
 
 # GCC 4.4+ is required, GCC_VERSION macro taken from GCC manual
@@ -110,6 +116,7 @@
 SET(COMPILE_PLUGIN FALSE CACHE BOOL "Compile the browser plugin?")
 SET(ENABLE_CURL TRUE CACHE BOOL "Enable CURL? (Required for Downloader functionality)")
 SET(ENABLE_LIBAVCODEC TRUE CACHE BOOL "Enable libavcodec and dependent functionality?")
+SET(ENABLE_RTMP FALSE CACHE BOOL "Enable librtmp and dependent functionality?")
 SET(PLUGIN_DIRECTORY "${LIBDIR}/mozilla/plugins" CACHE STRING "Directory to install Firefox plugin to")
 IF(NOT CMAKE_BUILD_TYPE)
 	SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
@@ -124,16 +131,19 @@
 # Libraries we need
 INCLUDE(FindGettext REQUIRED)
 INCLUDE(FindLLVM REQUIRED)
+IF(${LLVM_STRING_VERSION} VERSION_LESS 2.9)
+	ADD_DEFINITIONS(-DLLVM_28)
+ENDIF(${LLVM_STRING_VERSION} VERSION_LESS 2.9)
 INCLUDE(FindSDL REQUIRED)
 INCLUDE(FindZLIB REQUIRED)
 INCLUDE(FindFreetype REQUIRED)
 INCLUDE(FindOpenGL REQUIRED)
-INCLUDE(FindPCRECPP REQUIRED)
+INCLUDE(FindPCRE REQUIRED)
 INCLUDE(FindFTGL REQUIRED)
 INCLUDE(FindGLEW REQUIRED)
 IF(UNIX)
   INCLUDE(FindPkgConfig REQUIRED)
-	pkg_check_modules(XMLPP REQUIRED libxml++-2.6)
+	pkg_check_modules(XMLPP REQUIRED libxml++-2.6>=2.33.1)
 ENDIF(UNIX)
 
 if(WIN32)
@@ -145,8 +155,7 @@
 find_package(Boost COMPONENTS filesystem system REQUIRED)
 if(Boost_FOUND)
   INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
-ENDIF(Boost_FOUND)
-
+ENDIF(Boost_FOUND) 
 IF(UNIX)
   INCLUDE(FindPkgConfig REQUIRED)
   pkg_check_modules(EXTRA_LIBS REQUIRED x11 fontconfig cairo)
@@ -194,7 +203,7 @@
 INCLUDE_DIRECTORIES(${Threads_INCLUDE_DIR})
 INCLUDE_DIRECTORIES(${FREETYPE_INCLUDE_DIRS})
 INCLUDE_DIRECTORIES(${OPENGL_INCLUDE_DIR})
-INCLUDE_DIRECTORIES(${PCRECPP_INCLUDE_DIR})
+INCLUDE_DIRECTORIES(${PCRE_INCLUDE_DIR})
 INCLUDE_DIRECTORIES(${FTGL_INCLUDE_DIR})
 INCLUDE_DIRECTORIES(${GLEW_INCLUDE_DIR})
 INCLUDE_DIRECTORIES(${XMLPP_INCLUDE_DIRS})
@@ -225,6 +234,12 @@
   ADD_DEFINITIONS(-DENABLE_CURL)
 ENDIF(ENABLE_CURL)
 
+IF(ENABLE_RTMP)
+  pkg_check_modules(RTMP REQUIRED librtmp)
+  SET(OPTIONAL_LIBRARIES ${OPTIONAL_LIBRARIES} ${RTMP_LIBRARIES})
+  ADD_DEFINITIONS(-DENABLE_RTMP)
+ENDIF(ENABLE_RTMP)
+
 IF(ENABLE_DEBIAN_ALTERNATIVES)
   SET(PLUGIN_DIRECTORY ${PRIVATELIBDIR})
 ENDIF(ENABLE_DEBIAN_ALTERNATIVES)
@@ -233,7 +248,7 @@
 IF(CMAKE_COMPILER_IS_GNUCC)
   SET(CMAKE_CXX_FLAGS
 	"${CMAKE_CXX_FLAGS} -Wall -Wnon-virtual-dtor -Woverloaded-virtual -pipe -fvisibility=hidden -fvisibility-inlines-hidden -std=c++0x -Wdisabled-optimization")
-  SET(CMAKE_CXX_FLAGS_DEBUG "-g -O0 -DEXPENSIVE_DEBUG")
+  SET(CMAKE_CXX_FLAGS_DEBUG "-g -O0 -DEXPENSIVE_DEBUG -DPROFILING_SUPPORT")
   SET(CMAKE_CXX_FLAGS_PROFILE "-g -pg -O2")
   SET(CMAKE_CXX_FLAGS_RELEASE "-O2 -DNDEBUG")
   SET(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-g -O2 -DNDEBUG")
@@ -273,12 +288,14 @@
   backends/audio.cpp
   backends/config.cpp
   backends/decoder.cpp
+  backends/extscriptobject.cpp
   backends/geometry.cpp
   backends/graphics.cpp
   backends/input.cpp
   backends/netutils.cpp
   backends/pluginmanager.cpp
   backends/rendering.cpp
+  backends/rtmputils.cpp
   backends/security.cpp
   backends/urlutils.cpp
   parsing/amf3_generator.cpp
@@ -309,19 +326,3 @@
   scripting/toplevel.cpp
   scripting/vm.cpp)
 IF(${i386})
-  SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/fastpaths_x86.cpp)
-  IF(CMAKE_COMPILER_IS_GNUCC)
-    SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/fastpaths_i686.asm)
-  ELSE (CMAKE_COMPILER_IS_GNUCC)
-    SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/fastpaths_32vc.cpp)
-  ENDIF(CMAKE_COMPILER_IS_GNUCC)
-ELSEIF(${x86_64})
-  SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/fastpaths_x86.cpp)
-  #Why is there a particular faspaths_32vc but none for 64 bit?
-  SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/fastpaths_amd64.asm)
-ELSE()
-  SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/slowpaths_generic.cpp)
-ENDIF(${i386})
-
-INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR})
-

=== debian/changelog ===
lightspark (0.4.6-0ubuntu1) natty; urgency=low

  * New upstream release, fixes YouTube support.
  * debian/control: Drop libffi-dev build dependency, wrap-and-sort
    the build-depends.
  * debian/docs: Add upstream ChangeLog.
  * Keep our armel build-related changes.

 -- Jani Monoses <jani@ubuntu.com>  Tue, 15 Mar 2011 11:39:51 +0200

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,6 @@
 	libnspr4-dev,
 	xulrunner-dev (>= 1.9.2),
 	libsdl-dev,
-	libffi-dev,
 	libxml++2.6-dev,
 	gnash-common
 Standards-Version: 3.9.1
